# Update company

## Update a Company

<mark style="color:orange;">`PUT`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/objects/company/{{companyId}}`

This endpoint allows you to update a company. The **companyId** must be passed in to the endpoint as a path parameter. The `"fields"` key is required in the body. See example body below.\
**Please note** that the system will try to match a company's name to the website address provided. You may need to manually add the correct name afterward.

#### Path Parameters

| Name                                        | Type    | Description        |
| ------------------------------------------- | ------- | ------------------ |
| companyId<mark style="color:red;">\*</mark> | integer | ID of the company. |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{API\_KEY}} |

#### Request Body

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| fields<mark style="color:red;">\*</mark> | object | field object |

{% tabs %}
{% tab title="200 " %}

```
{
   "data": {
       "dateCreated": "2020-09-10T11:44:05.000Z",
       "dateUpdated": "2020-09-10T11:44:05.000Z",
       "id": 77,
       "fields": {
           "name": "Updated Company",
           "website": "website.com",
           "industry": "IT",
           "description": "No description ",
           "source": "No source added",
           "revenue": "1050000",
           "city": "SF1",
           "state": "california"
       }
   }
}
```

{% endtab %}
{% endtabs %}

**Body (raw)**

```javascript
{
    "fields": {
        "name": "ZeryUpdated",
        "website": "zeryUpdated.com",
        "logo": "IT",
        "industry": "IT",
        "description": "No description ",
        "source": "No source added",
        "revenue": "1050000",
        "city": "SF1",
        "state": "california"
    },
    "dateCreated": "string",
    "dateUpdated": "string"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/company/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
